Disconnect GitHub App
DELETE
/auth/github/connect
const url = 'https://api.deploybase.eu/api/v1/auth/github/connect';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"team_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.deploybase.eu/api/v1/auth/github/connect \ --header 'Content-Type: application/json' \ --data '{ "team_id": "example" }'Removes the team’s GitHub App connection and per-repo webhooks. Owner/Admin only.
Request Body
Section titled “ Request Body ”Disconnect request
Media type application/json
object
team_id
required
string
Example generated
{ "team_id": "example"}Responses
Section titled “ Responses ”No Content
Bad Request
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Forbidden
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Not Found
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string